{ config, lib, ... }:
{
  imports = [ ./nginx ];

  nixpkgs.config.element-web.conf = lib.mkIf config.services.matrix-synapse.enable {
    default_server_config."m.homeserver" = {
      base_url = "https://matrix.nixfox.ca";
      server_name = "matrix.nixfox.ca";
    };
    branding = {
      auth_header_logo_url = "https://www.nixfox.ca/images/copyright/profile.png";
      #welcome_background_url = "https://www.nixfox.ca/images/backgrounds/template-background.png";
    };
    embedded_pages.home_url = "https://www.nixfox.ca/";
    disable_custom_urls = true;
    disable_guests = true;
    default_theme = "dark";
  };
}
